%{!?__python2: %global __python2 %__python}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-libdiscid
Version:        0.4.1
Release:        2%{?dist}
Summary:        Python bindings for libdiscid

License:        MIT
URL:            http://pythonhosted.org/python-libdiscid/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libdiscid-devel
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  Cython >= 0.15
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython >= 0.15
%endif # with python3

%description
python-libdiscid provides Python bindings for libdiscid. libdiscid's
main purpose is the calculation of identifiers for audio discs to use
for the MusicBrainz database.

%package     -n python3-libdiscid
Summary:        Python 3 bindings for libdiscid

%description -n python3-libdiscid
python3-libdiscid provides Python 3 bindings for libdiscid. libdiscid's
main purpose is the calculation of identifiers for audio discs to use
for the MusicBrainz database.


%prep
%setup -qc
mv %{name}-%{version} python2
rm python2/libdiscid/_discid.c
%{?with_python3:cp -a python2 python3}


%build
export CFLAGS="$RPM_OPT_FLAGS"
pushd python2
%{__python2} setup.py build build_ext -i build_sphinx
rm build/html/.buildinfo
popd
%{?with_python3:pushd python3; %{__python3} setup.py build; popd}


%install
rm -rf $RPM_BUILD_ROOT

installcmd="setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT"
%{?with_python3:pushd python3; %{__python3} $installcmd; popd}
pushd python2; %{__python2} $installcmd; popd


%check
pushd python2; %{__python2} setup.py test; popd
%{?with_python3:pushd python3; %{__python3} setup.py test; popd}


%files
%license python2/LICENSE
%doc python2/changelog python2/PKG-INFO python2/build/html/
%{python2_sitearch}/*libdiscid*/
%exclude %{python2_sitearch}/*libdiscid*/tests/

%if %{with python3}
%files -n python3-libdiscid
%license python3/LICENSE
%doc python3/changelog python3/PKG-INFO python2/build/html/
%{python3_sitearch}/*libdiscid*/
%exclude %{python3_sitearch}/*libdiscid*/tests/
%endif # with python3


%changelog
* Wed Mar 11 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.4.1-2
- Build below source dir instead of in %%{py3dir}

* Thu Mar  5 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.4.1-1
- First build
